<?php
namespace HCM\BTL\Services;

use HCM\BTL\Repository\FasesTemplateRepository;
use Doctrine\ORM\EntityManager;

class FasesTemplateService {

    /**
     * @var fasesTemplateRepository
     */
    protected $fasesTemplateRepository;

    public function __construct(EntityManager $entityManager, FasesTemplateRepository $fasesTemplateRepository) {
        $this->entityManager = $entityManager;
        $this->fasesTemplateRepository = $fasesTemplateRepository;
    }

    /**
     * @return int
     */
    public function getNextId($nrorg, $nrtemplate) {
        $idRow = $this->fasesTemplateRepository->getMaxId($nrorg, $nrtemplate);
        $id = $idRow[0]['MAX_ID'];
        return !is_null($id) ? ++$id : 1;
    }

    public function getNextNrfase($nrorg, $nrtemplate, $nrordem) {
        $idRow = $this->fasesTemplateRepository->getNextNrfase($nrorg, $nrtemplate, $nrordem);
        $id = $idRow[0]['NRFASE'];
        return $id;
    }
} 