--CONTA QUANTIDADE ALTERACOES SITUACAO FUNCIONAL -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
--Tabelas: RHREGOCORRENCIAS, RHCONTRATOS
--Leiaute 9 - Alterao de Situao Funcional
--V1 - 18/10/2023 
--=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
  
SELECT COUNT(1) TOTAL
              FROM RHREGOCORRENCIAS
              JOIN RHCONTRATOS
                ON RHCONTRATOS.CONTRATO = RHREGOCORRENCIAS.CONTRATO
               AND RHCONTRATOS.UNIDADE  = RHREGOCORRENCIAS.UNIDADE;
               
              
--GERA LEIAUTE ALTERACOES SITUACAO FUNCIONAL -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
--Tabelas: RHREGOCORRENCIAS, RHCONTRATOS
--Leiaute 9 - Alterao de Situacao funcional
--V2 - 08/11/2023
--=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
  
SELECT DISTINCT
    rhcontratos.empresa||'_'||rhcontratos.contrato                              AS "NRVINCULOM",
    CASE OCORRENCIA
                        WHEN '013' THEN '100004' 
                        WHEN '006' THEN '100005' 
                        WHEN '007' THEN '100006' 
                        WHEN '005' THEN '100096' 
                        WHEN '012' THEN '100055' 
                        WHEN '011' THEN '100008' 
                        WHEN '010' THEN '4' 
                        WHEN '004' THEN '5' 
                        WHEN '008' THEN '100005' 
                        WHEN '009' THEN '100006' 
                        WHEN '014' THEN '12' 
                        WHEN '017' THEN '9' 
                        WHEN '018' THEN '8' 
                        WHEN '019' THEN '14' 
                        WHEN '020' THEN '100042' 
                        WHEN '030' THEN '100097' 
                        WHEN '200' THEN '100008' 
                        WHEN '201' THEN '100072' 
                        WHEN '202' THEN '100101' 
                        WHEN '501' THEN '100102' 
                        WHEN '503' THEN '100098' 
                        WHEN '505' THEN '100099' 
                        WHEN '506' THEN '100099' 
                        WHEN '507' THEN '100099' 
                        WHEN '511' THEN '100028' 
                        WHEN '520' THEN '100041' 
                        WHEN '521' THEN '100099' 
                        WHEN '550' THEN '100099' 
                        WHEN '552' THEN '100098' 
                        WHEN '999' THEN '100098' 
                        ELSE  '100098' 
    END                                                                         AS "SITUACAO FUNCIONAL",
    to_char(datainicioocorrencia,'DD/MM/YYYY')                                  AS "DATA INICIO",
    to_char(dataterminoocorrencia,'DD/MM/YYYY')                                 AS "DATA FIM",
    --to_char(datahoraalteracao,'DD/MM/YYYY')                                     AS "DATAHORAALTERACAO",
    'CODIGO DA OCORRENCIA NO METADADOS ERA: '||OCORRENCIA||
        ' LANADA NO DIA: '||to_char(datahoraalteracao,'DD/MM/YYYY')            AS "OBSERVAO"
FROM
         rhregocorrencias
    INNER JOIN rhcontratos ON rhcontratos.contrato = rhregocorrencias.contrato
                              AND rhcontratos.unidade = rhregocorrencias.unidade
WHERE (rhcontratos.causarescisaofolha<>6 or rhcontratos.causarescisaofolha is null )
ORDER BY 1,3;--  and rhpessoas.pessoa=100101;

--GERA DEPARA SITUACAO FUNCIONAL -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
--Tabelas: RHREGOCORRENCIAS, RHCONTRATOS
--Leiaute 9 - Alterao de Situacao funcional
--V2 - 08/11/2023 
--=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-


SELECT DISTINCT
    OCORRENCIA                                                                  AS "OCORRENCIA METADADOS",
    DECODE(OCORRENCIA,
                        '004', '5   -    Afastamento Licena Gestante',
                        '005', '100007 - Normal no remunerado',
                        '006', '100005 - Acidente de Trabalho',
                        '007', '100006 - Doena',
                        '010', '4   -    Afastamento Servio Militar',
                        '011', '100008 - Falta Justificada (No Remunerada)',
                        '012', '100007 - Normal no remunerado',
                        '013', '100004 - Licena sem vencimento',
                        'DEPARAR '||OCORRENCIA)                                 AS "SITUACAO FUNCIONAL HCM",
     count(*)                                                                   AS "QUANTIDADE"
    
FROM
         rhregocorrencias
    INNER JOIN rhcontratos ON rhcontratos.contrato = rhregocorrencias.contrato
                              AND rhcontratos.unidade = rhregocorrencias.unidade
WHERE (rhcontratos.causarescisaofolha<>6 or rhcontratos.causarescisaofolha is null )
GROUP BY OCORRENCIA    ,                                                             
    DECODE(OCORRENCIA,
                        '004', '5   -    Afastamento Licena Gestante',
                        '005', '100007 - Normal no remunerado',
                        '006', '100005 - Acidente de Trabalho',
                        '007', '100006 - Doena',
                        '010', '4   -    Afastamento Servio Militar',
                        '011', '100008 - Falta Justificada (No Remunerada)',
                        '012', '100007 - Normal no remunerado',
                        '013', '100004 - Licena sem vencimento',
                        'DEPARAR '||OCORRENCIA)  ;--  and rhpessoas.pessoa=100101;


 
--=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=COM ESSE SELECT VOC PODE VER AS TABELAS PAIS E FILHAS-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=        

SELECT
    f.table_name,
    t.table_name,
    t.column_name,
    f.constraint_name,
    t.owner
FROM
    all_cons_columns  t,
    all_constraints   f
WHERE
        f.r_owner = t.owner
    AND f.r_constraint_name = t.constraint_name
/*Se voc procura de uma tabela especifica voc pode realizar pode acrescentar o filtro:*/
    AND f.table_name = upper('rhregocorrencias') ;


SELECT
    *
FROM
    rhregocorrencias
WHERE
    ocorrencia IN (  '008', '009',
                    '014', '017', '018', '019', '020',
                    '030', '200', '201', '202', '501',
                    '503', '505', '506', '507', '511',
                    '520', '521', '550', '552', '999' 
                    );